diff --git a/src/backend/utils/adt/json.c b/src/backend/utils/adt/json.c
index f704418..fb85cd7 100644
--- a/src/backend/utils/adt/json.c
+++ b/src/backend/utils/adt/json.c
@@ -2044,7 +2044,7 @@ json_object_agg_transfn(PG_FUNCTION_ARGS)
 	datum_to_json(arg, false, state->str, state->key_category,
 				  state->key_output_func, true);
 
-	appendStringInfoString(state->str, " : ");
+	appendStringInfoString(state->str, ": ");
 
 	if (PG_ARGISNULL(2))
 		arg = (Datum) 0;
@@ -2152,7 +2152,7 @@ json_build_object(PG_FUNCTION_ARGS)
 
 		add_json(arg, false, result, val_type, true);
 
-		appendStringInfoString(result, " : ");
+		appendStringInfoString(result, ": ");
 
 		/* process value */
 		val_type = get_fn_expr_argtype(fcinfo->flinfo, i + 1);
@@ -2311,7 +2311,7 @@ json_object(PG_FUNCTION_ARGS)
 		if (i > 0)
 			appendStringInfoString(&result, ", ");
 		escape_json(&result, v);
-		appendStringInfoString(&result, " : ");
+		appendStringInfoString(&result, ": ");
 		pfree(v);
 		if (in_nulls[i * 2 + 1])
 			appendStringInfoString(&result, "null");
@@ -2395,7 +2395,7 @@ json_object_two_arg(PG_FUNCTION_ARGS)
 		if (i > 0)
 			appendStringInfoString(&result, ", ");
 		escape_json(&result, v);
-		appendStringInfoString(&result, " : ");
+		appendStringInfoString(&result, ": ");
 		pfree(v);
 		if (val_nulls[i])
 			appendStringInfoString(&result, "null");
diff --git a/src/test/regress/expected/json.out b/src/test/regress/expected/json.out
index efcdc41..0e66ce6 100644
--- a/src/test/regress/expected/json.out
+++ b/src/test/regress/expected/json.out
@@ -1445,18 +1445,18 @@ SELECT json_build_array('a',1,'b',1.2,'c',true,'d',null,'e',json '{"x": 3, "y":
 (1 row)
 
 SELECT json_build_object('a',1,'b',1.2,'c',true,'d',null,'e',json '{"x": 3, "y": [1,2,3]}');
-                             json_build_object                              
-----------------------------------------------------------------------------
- {"a" : 1, "b" : 1.2, "c" : true, "d" : null, "e" : {"x": 3, "y": [1,2,3]}}
+                           json_build_object                           
+-----------------------------------------------------------------------
+ {"a": 1, "b": 1.2, "c": true, "d": null, "e": {"x": 3, "y": [1,2,3]}}
 (1 row)
 
 SELECT json_build_object(
        'a', json_build_object('b',false,'c',99),
        'd', json_build_object('e',array[9,8,7]::int[],
            'f', (select row_to_json(r) from ( select relkind, oid::regclass as name from pg_class where relname = 'pg_class') r)));
-                                        json_build_object                                        
--------------------------------------------------------------------------------------------------
- {"a" : {"b" : false, "c" : 99}, "d" : {"e" : [9,8,7], "f" : {"relkind":"r","name":"pg_class"}}}
+                                     json_build_object                                     
+-------------------------------------------------------------------------------------------
+ {"a": {"b": false, "c": 99}, "d": {"e": [9,8,7], "f": {"relkind":"r","name":"pg_class"}}}
 (1 row)
 
 -- empty objects/arrays
@@ -1476,7 +1476,7 @@ SELECT json_build_object();
 SELECT json_build_object(1,2);
  json_build_object 
 -------------------
- {"1" : 2}
+ {"1": 2}
 (1 row)
 
 -- keys must be scalar and not null
@@ -1495,15 +1495,15 @@ INSERT INTO foo VALUES (847002,'t16','GE1043');
 INSERT INTO foo VALUES (847003,'sub-alpha','GESS90');
 SELECT json_build_object('turbines',json_object_agg(serial_num,json_build_object('name',name,'type',type)))
 FROM foo;
-                                                                            json_build_object                                                                            
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------
- {"turbines" : { "847001" : {"name" : "t15", "type" : "GE1043"}, "847002" : {"name" : "t16", "type" : "GE1043"}, "847003" : {"name" : "sub-alpha", "type" : "GESS90"} }}
+                                                                       json_build_object                                                                       
+---------------------------------------------------------------------------------------------------------------------------------------------------------------
+ {"turbines": { "847001": {"name": "t15", "type": "GE1043"}, "847002": {"name": "t16", "type": "GE1043"}, "847003": {"name": "sub-alpha", "type": "GESS90"} }}
 (1 row)
 
 SELECT json_object_agg(name, type) FROM foo;
-                        json_object_agg                         
-----------------------------------------------------------------
- { "t15" : "GE1043", "t16" : "GE1043", "sub-alpha" : "GESS90" }
+                       json_object_agg                       
+-------------------------------------------------------------
+ { "t15": "GE1043", "t16": "GE1043", "sub-alpha": "GESS90" }
 (1 row)
 
 INSERT INTO foo VALUES (999999, NULL, 'bar');
@@ -1526,16 +1526,16 @@ SELECT json_object('{}', '{}');
 
 -- one dimension
 SELECT json_object('{a,1,b,2,3,NULL,"d e f","a b c"}');
-                      json_object                      
--------------------------------------------------------
- {"a" : "1", "b" : "2", "3" : null, "d e f" : "a b c"}
+                    json_object                    
+---------------------------------------------------
+ {"a": "1", "b": "2", "3": null, "d e f": "a b c"}
 (1 row)
 
 -- same but with two dimensions
 SELECT json_object('{{a,1},{b,2},{3,NULL},{"d e f","a b c"}}');
-                      json_object                      
--------------------------------------------------------
- {"a" : "1", "b" : "2", "3" : null, "d e f" : "a b c"}
+                    json_object                    
+---------------------------------------------------
+ {"a": "1", "b": "2", "3": null, "d e f": "a b c"}
 (1 row)
 
 -- odd number error
@@ -1552,9 +1552,9 @@ SELECT json_object('{{{a,b},{c,d}},{{b,c},{d,e}}}');
 ERROR:  wrong number of array subscripts
 --two argument form of json_object
 select json_object('{a,b,c,"d e f"}','{1,2,3,"a b c"}');
-                     json_object                      
-------------------------------------------------------
- {"a" : "1", "b" : "2", "c" : "3", "d e f" : "a b c"}
+                   json_object                    
+--------------------------------------------------
+ {"a": "1", "b": "2", "c": "3", "d e f": "a b c"}
 (1 row)
 
 -- too many dimensions
@@ -1570,9 +1570,9 @@ select json_object('{a,b,NULL,"d e f"}','{1,2,3,"a b c"}');
 ERROR:  null value not allowed for object key
 -- empty key is allowed
 select json_object('{a,b,"","d e f"}','{1,2,3,"a b c"}');
-                     json_object                     
------------------------------------------------------
- {"a" : "1", "b" : "2", "" : "3", "d e f" : "a b c"}
+                   json_object                   
+-------------------------------------------------
+ {"a": "1", "b": "2", "": "3", "d e f": "a b c"}
 (1 row)
 
 -- json_to_record and json_to_recordset
